> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tenant Segments

> List all tenant segments



## OpenAPI

````yaml GET /api/segments
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/segments:
    get:
      tags:
        - Segments
      summary: List Tenant Segments
      description: List all tenant segments
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The cursor to start from
          required: false
          description: The cursor to start from
          name: cursor
          in: query
        - schema:
            type: number
            nullable: true
            description: The limit of items to return, default is 100
          required: false
          description: The limit of items to return, default is 100
          name: limit
          in: query
        - schema:
            type: string
            description: The search query to filter by segment name
          required: false
          description: The search query to filter by segment name
          name: search
          in: query
        - schema:
            type: string
            enum:
              - engage
              - measure
              - reputation
              - acquire
              - voice
            description: >-
              Filter segments to those scoped to this product feature or
              unscoped segments
          required: false
          description: >-
            Filter segments to those scoped to this product feature or unscoped
            segments
          name: feature
          in: query
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            results:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: The id of the segment
                                  name:
                                    type: string
                                    description: A friendly name for the segment
                                  description:
                                    type: string
                                    description: A friendly description for the segment
                                  createdAt:
                                    type: string
                                    nullable: true
                                    description: The date and time the segment was created
                                  type:
                                    type: string
                                    enum:
                                      - all_users
                                      - managed
                                      - custom
                                      - one_off
                                      - sql
                                    description: The type of segment
                                  userCount:
                                    type: number
                                    description: The number of users in the segment
                                  phoneCount:
                                    type: number
                                    description: The number of phone numbers in the segment
                                  emailCount:
                                    type: number
                                    description: The number of emails in the segment
                                  userCountUpdatedAt:
                                    type: string
                                    description: >-
                                      The date and time the user count was
                                      updated
                                required:
                                  - id
                                  - name
                                  - createdAt
                                  - type
                                  - userCount
                                  - phoneCount
                                  - emailCount
                                  - userCountUpdatedAt
                              description: The segments
                            pagination:
                              type: object
                              properties:
                                hasNextPage:
                                  type: boolean
                                  nullable: true
                                  description: Whether there is a next page
                                cursor:
                                  type: string
                                  nullable: true
                                  description: The cursor to start from
                                total:
                                  type: number
                                  nullable: true
                                  description: The total number of segments
                              required:
                                - hasNextPage
                                - cursor
                                - total
                          required:
                            - results
                            - pagination
                      pagination:
                        type: object
                        properties:
                          hasNextPage:
                            type: boolean
                          cursor:
                            type: string
                            nullable: true
                          total:
                            type: number
                        required:
                          - hasNextPage
                    required:
                      - results
                      - pagination
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````